All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
syncthrd.h File Reference
`#include <ptlib/mutex.h>`
`#include <ptlib/syncpoint.h>`
`#include <map>`

Go to the source code of this file.

## Classes

class | PSyncPointAck
| This class defines a thread synchronisation object. More...
class | PCondMutex
| This class defines a thread synchronisation object. More...
class | PIntCondMutex
| This is a PCondMutex for which the conditional is the value of an integer. More...
class | PReadWriteMutex
| This class defines a thread synchronisation object. More...
class | PReadWriteMutex::Nest
class | PReadWaitAndSignal
| This class starts a read operation for the PReadWriteMutex on construction and automatically ends the read operation on destruction. More...
class | PWriteWaitAndSignal
| This class starts a write operation for the PReadWriteMutex on construction and automatically ends the write operation on destruction. More...